<node>
<!--
  com.lomiri.OnlineAccountsUi:
  @short_description: interface for requesting access to Online Accounts.

  This is a private D-Bus API, not to be used directly by applications;
  applications should use the Lomiri.OnlineAccounts.Client QML module or the
  OnlineAccountsClient Qt library from C++.

  It serves to let applications request access to the online accounts they
  intend to use.
-->
<interface name="com.lomiri.OnlineAccountsUi">
  <!--
    requestAccess:
    @options: dictionary of option parameters.
    @result: dictionary of result information.

    Requests access to the online accounts identified by the @options parameter.

    The parameters currently recognized for the @options argument are:
    - provider: unique ID of the account provider
    - application: application ID (as defined in the Online Accounts
      .application file)
    - serviceType: service type the application is interested in
    - windowId: an unsigned integer identifying the client window

    The @result argument is currently unused.
  -->
  <method name="requestAccess">
    <annotation name="org.qtproject.QtDBus.QtTypeName.In0" value="QVariantMap"/>
    <annotation name="org.qtproject.QtDBus.QtTypeName.Out0" value="QVariantMap"/>
    <arg name="options" type="a{sv}" direction="in"/>
    <arg name="result" type="a{sv}" direction="out"/>
  </method>
</interface>
</node>
